#!/bin/sh

#-----------------------------------------------------------------------------#
#-- INSTRUCTIONS 
#
#-- To un-install PowerManager, follow these steps:
#-- 1) Run this script by dragging this script onto a Terminal
#--    window, then hit return!
#-- 2) Open System Preferences and open the Login Items pane
#-- 3) In the Login Items pane, select PowerManagerController, then click the
#--    Remove button.
#-- 4) In the Login Items pane, if the PowerManagerStatus is listed, select 
#--    PowerManagerStatus and click the Remove button.
#-----------------------------------------------------------------------------#

#-- Quit System Preferences
kill -15 `ps axww | grep -i "System\\ Preferences" | grep -v grep | cut -c 1-6` >& /dev/null
#-- Quit controller, status item, and daemon
sudo kill -15 `ps axww | grep -i "PowerManagerController" | grep -v grep | cut -c 1-6` >& /dev/null
sudo kill -15 `ps axww | grep -i "PowerManagerStatus" | grep -v grep | cut -c 1-6` >& /dev/null
sudo kill -15 `ps axww | grep -i "KJPowerManager" | grep -v grep | cut -c 1-6` >& /dev/null
#-- Remove beta prefPane
sudo rm -rf /Library/PreferencePanes/PowerManager.prefPane
#-- Remove prefPane
sudo rm -rf /Library/PreferencePanes/PowerController.prefPane
#-- Remove startup item
sudo rm -rf /Library/StartupItems/KJPowerManager

exit 0
